Update the job status of a work order (e.g., scope of work complete or incomplete).
Update the job status of a work order (e.g., scope of work complete or incomplete).
access_token OAuth 2.0 Access Token
In: query
Work Order ID
application/json
Work order job status
TypeScript Definitions
Use the request body type in TypeScript.
curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/job-status" \ -H "Content-Type: application/json" \ -d '{ "status": "complete" }'{
"revisits": [],
"job_status": {
"status": "pending",
"reason": {
"id": 123,
"label": "string_value"
},
"history": []
},
"incident_id": "string_value",
"related_work_orders": []
}{
"status": 400,
"message": "Validation failed: field 'title' is required"
}{
"status": 500,
"message": "Operation successful."
}{
"status": 403,
"message": "You do not have permission to access this work order"
}{
"status_code": 404,
"message": "Work order not found"
}{
"status": 500,
"message": "An unexpected error occurred. Please try again later or contact support."
}application/json
application/json
application/json
application/json
application/json
application/json
Last updated on
Job Status
"pending" | "incomplete" | "complete"Reason ID